rte_pmd_cnxk_crypto_qp_stats(3)

NAME
rte_pmd_cnxk_crypto_qp_stats - Crypto CNXK queue pair stats.

SYNOPSIS

#include <rte_pmd_cnxk_crypto.h>

  Data Fields

uint64_t ctx_enc_pkts
uint64_t ctx_enc_bytes
uint64_t ctx_dec_pkts
uint64_t ctx_dec_bytes

Detailed Description

Crypto CNXK queue pair stats.

This structure represents the queue pair stats retrieved from CPT HW queue.

Definition at line 64 of file rte_pmd_cnxk_crypto.h.

Field Documentation

  uint64_t ctx_enc_pkts
Packet counter of the packets that used CPT context cache and was encrypted

Definition at line 66 of file rte_pmd_cnxk_crypto.h.

  uint64_t ctx_enc_bytes
Byte counter of the packets that used CPT context cache and was encrypted

Definition at line 68 of file rte_pmd_cnxk_crypto.h.

  uint64_t ctx_dec_pkts
Packet counter of the packets that used CPT context cache and was decrypted

Definition at line 70 of file rte_pmd_cnxk_crypto.h.

  uint64_t ctx_dec_bytes
Byte counter of the packets that used CPT context cache and was decrypted

Definition at line 72 of file rte_pmd_cnxk_crypto.h.

Author

Generated automatically by Doxygen for DPDK from the source code.